org.codehaus.plexus.context

## Interface Context

All Known Implementing Classes:
  DefaultContext

    public interface Context

Context is a Map of arbitrary data associated with the container.

### Method Summary

Methods
`boolean` `contains(java.lang.Object key)` Returns true if this context contains a value for the specified key.
`java.lang.Object` `get(java.lang.Object key)` Returns the value of the key.
`java.util.Map<java.lang.Object,java.lang.Object>` `getContextData()` Utility method to retrieve containerContext data.
`void` `hide(java.lang.Object key)` Hides the item in the containerContext.
`void` `makeReadOnly()` Make the containerContext read-only.
`void` `put(java.lang.Object key, java.lang.Object value)` Adds the item to the containerContext.

### Method Detail

#### contains

    boolean contains(java.lang.Object key)

Returns true if this context contains a value for the specified key.

Parameters:
  `key` - the key to search
Returns:
  true if the key was found; false otherwise

#### get

    java.lang.Object get(java.lang.Object key)
                         throws ContextException

Returns the value of the key. If the key can't be found it will throw a exception.

Parameters:
  `key` - the key of the value to look up.
Returns:
  returns the value associated with the key
Throws:
  `ContextException` - if the key doesn't exist

#### getContextData

    java.util.Map<java.lang.Object,java.lang.Object> getContextData()

Utility method to retrieve containerContext data. The returned Map is an unmodifiable view.

Returns:
  the containerContext data
Since:
  1.0-alpha-18

#### put

    void put(java.lang.Object key,
           java.lang.Object value)
             throws java.lang.IllegalStateException

Adds the item to the containerContext.

Parameters:
  `key` - the key of the item
  `value` - the item
Throws:
  `java.lang.IllegalStateException` - if this context is read-only

#### hide

    void hide(java.lang.Object key)
              throws java.lang.IllegalStateException

Hides the item in the containerContext. After remove(key) has been called, a get(key) will always fail, even if the parent containerContext has such a mapping.

Parameters:
  `key` - the items key
Throws:
  `java.lang.IllegalStateException` - if this context is read-only

#### makeReadOnly

    void makeReadOnly()

Make the containerContext read-only. Any attempt to write to the containerContext via put() will result in an IllegalStateException.